Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction.insert
Class InsertHandler

    java.lang.Object
      org.deegree.io.datastore.sql.AbstractRequestHandler
          org.deegree.io.datastore.sql.transaction.insert.InsertHandler

    public class InsertHandler

extends AbstractRequestHandler

Handler for `Insert` operations (usually contained in `Transaction` requests).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`InsertHandler(SQLTransaction dsTa, TableAliasGenerator aliasGenerator, Connection conn)` Creates a new `InsertHandler` from the given parameters.

Method Summary
`List<FeatureId>` | `performInsert(List<Feature> features)` Inserts the given feature instance into the datastore.

Methods inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`appendColumnsList, appendFeatureIdColumns, appendFeatureIdConstraint, appendFeatureIdConstraint, appendJoinCondition, appendJoins, appendQualifiedColumn, appendQualifiedColumnsList, determineAffectedAndModifiableFIDs, determineAffectedFIDs, determineSubFeatures, determineSuperFeatures, extractFeatureId, extractFeatureIds, extractFeatureIdsForceUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertHandler

    public InsertHandler(SQLTransaction dsTa,
                         TableAliasGenerator aliasGenerator,
                         Connection conn)

  Creates a new `InsertHandler` from the given parameters.

  Parameters:
    `dsTa` -
    `aliasGenerator` -
    `conn` -

Method Detail

### performInsert

    public List<FeatureId> performInsert(List<Feature> features)
                                  throws DatastoreException

  Inserts the given feature instance into the datastore.

  Parameters:
    `features` - (which have a MappedFeatureType as feature type)
  Returns:
    feature ids of inserted (root) feature instances
  Throws:
    `DatastoreException` - if the insert could not be performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org